eth_getTransactionReceipt
Returns the receipt of a transaction by transaction hash. Note That the receipt is not available for pending transactions.
Last updated
Was this helpful?
Returns the receipt of a transaction by transaction hash. Note That the receipt is not available for pending transactions.
Last updated
Was this helpful?
Was this helpful?
// Request
curl https://linea.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"eth_getTransactionReceipt","params":["0x17db0f3d77434c21e76a405e0d3a329ba0a9eadf6a767c6dd40f8149eb30651e"],"id":1}'
// Result
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"blockHash": "0x4d76e4447702a7dfbccb4a9e3be640b00078290ae1a84cce58f8589b1f7ae989",
"blockNumber": "0x24d37",
"contractAddress": null,
"cumulativeGasUsed": "0x5208",
"effectiveGasPrice": "0x237a9ccfa",
"from": "0x45a318273749d6eb00f5f6ca3bc7cd3de26d642a",
"gasUsed": "0x5208",
"logs": [],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"status": "0x1",
"to": "0x124fb955862709e30740028cb86c477221842b14",
"transactionHash": "0x17db0f3d77434c21e76a405e0d3a329ba0a9eadf6a767c6dd40f8149eb30651e",
"transactionIndex": "0x0",
"type": "0x2"
}
}